#include <iocslib.h>
#include "deftype.h"
#include "acmp.h"
#include "font.h"

void	TxGPrint(int x,int y,unchar *mes,int col,int size)
// テキスト画面のグラフィック座標から文字列を描画する
{
unsint c;
_FNTBUF fnt;
	while ((c=*mes++)!=0) {
		if (check_kanji1(c)) c=(c<<8)|*mes++;
		FNTGET(size,c,&fnt); // パターン取得
		TEXTPUT2(x,y,&fnt,col);
		x+=fnt.xl;
	}
}
